Debian Bug report logs - #680005
RM: src:dkim-milter -- RoM; superceded by opendkim

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Scott Kitterman <debian@kitterman.com>

Date: Mon, 2 Jul 2012 22:18:02 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#680005; Package release.debian.org. (Mon, 02 Jul 2012 22:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <debian@kitterman.com>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 02 Jul 2012 22:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Scott Kitterman <debian@kitterman.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: src:dkim-milter/2.8.2.dfsg-1.1
Date: Mon, 02 Jul 2012 17:52:30 -0400
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: rm

dkim-milter is RC buggy and has been superceded by a fork, opendkim.  It's
unmaintained upstream (the former dkim-milter upstream is now the opendkim
upstream) and the former author recommends opendkim instead in all cases.

We should not release Wheezy with this package.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#680005; Package release.debian.org. (Fri, 06 Jul 2012 11:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 06 Jul 2012 11:57:28 GMT) Full text and rfc822 format available.

Message #10 received at 680005@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Scott Kitterman <debian@kitterman.com>, 680005@bugs.debian.org
Subject: Re: Bug#680005: RM: src:dkim-milter/2.8.2.dfsg-1.1
Date: Fri, 06 Jul 2012 13:53:38 +0200
On 02/07/12 23:52, Scott Kitterman wrote:
> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: rm
>
> dkim-milter is RC buggy and has been superceded by a fork, opendkim.  It's
> unmaintained upstream (the former dkim-milter upstream is now the opendkim
> upstream) and the former author recommends opendkim instead in all cases.
>
> We should not release Wheezy with this package.
>

Shouln't this package to be removed from the archive then? IOW, Why 
should we keep it in Unstable?

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#680005; Package release.debian.org. (Fri, 06 Jul 2012 12:16:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 06 Jul 2012 12:18:12 GMT) Full text and rfc822 format available.

Message #15 received at 680005@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Scott Kitterman <debian@kitterman.com>
Cc: 680005@bugs.debian.org
Subject: Re: Bug#680005: RM: src:dkim-milter/2.8.2.dfsg-1.1
Date: Fri, 06 Jul 2012 14:10:45 +0200
reassign ftp.debian.org
retitle 680005 RoM: src:dkim-milter; superceded by opendkim
thanks

On 06/07/12 13:57, Scott Kitterman wrote:
> Yes. It should be removed entirely. I guess I was a bit over
> focused.
>

Ok, doing so.

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Changed Bug title to 'RoM: src:dkim-milter; superceded by opendkim' from 'RM: src:dkim-milter/2.8.2.dfsg-1.1' Request was from Mehdi Dogguy <mehdi@dogguy.org> to control@bugs.debian.org. (Fri, 06 Jul 2012 12:18:57 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#680005; Package release.debian.org. (Fri, 06 Jul 2012 12:22:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <debian@kitterman.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 06 Jul 2012 12:22:12 GMT) Full text and rfc822 format available.

Message #22 received at 680005@bugs.debian.org (full text, mbox):

From: Scott Kitterman <debian@kitterman.com>
To: Mehdi Dogguy <mehdi@dogguy.org>,680005@bugs.debian.org
Subject: Re: Bug#680005: RM: src:dkim-milter/2.8.2.dfsg-1.1
Date: Fri, 06 Jul 2012 07:57:27 -0400
[Message part 1 (text/plain, inline)]
Yes. It should be removed entirely. I guess I was a bit over focused. 

Mehdi Dogguy <mehdi@dogguy.org> wrote:

On 02/07/12 23:52, Scott Kitterman wrote:
> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: rm
>
> dkim-milter is RC buggy and has been superceded by a fork, opendkim. It's
> unmaintained upstream (the former dkim-milter upstream is now the opendkim
> upstream) and the former author recommends opendkim instead in all cases.
>
> We should not release Wheezy with this package.
>

Shouln't this package to be removed from the archive then? IOW, Why 
should we keep it in Unstable?

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/

[Message part 2 (text/html, inline)]

Bug reassigned from package 'release.debian.org' to 'ftp.debian.org'. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Tue, 10 Jul 2012 12:54:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: src:dkim-milter -- RoM; superceded by opendkim' from 'RoM: src:dkim-milter; superceded by opendkim' Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Tue, 10 Jul 2012 12:54:10 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 11 Jul 2012 09:16:01 GMT) Full text and rfc822 format available.

Notification sent to Scott Kitterman <debian@kitterman.com>:
Bug acknowledged by developer. (Wed, 11 Jul 2012 09:16:01 GMT) Full text and rfc822 format available.

Message #31 received at 680005-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 680005-close@bugs.debian.org
Cc: dkim-milter@packages.debian.org, dkim-milter@packages.qa.debian.org
Subject: Bug#680005: Removed package(s) from unstable
Date: Wed, 11 Jul 2012 09:11:39 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

dkim-filter | 2.8.2.dfsg-1.1 | amd64, armel, armhf, i386, ia64, mips, mipsel, powerpc, s390, s390x, sparc
dkim-milter | 2.8.2.dfsg-1.1 | source
libsmdkim-dev | 2.8.2.dfsg-1.1 | amd64, armel, armhf, i386, ia64, mips, mipsel, powerpc, s390, s390x, sparc
libsmdkim2 | 2.8.2.dfsg-1.1 | amd64, armel, armhf, i386, ia64, mips, mipsel, powerpc, s390, s390x, sparc

------------------- Reason -------------------
ROM; superceded by opendkim
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive and will not propagate to any mirrors (ftp.debian.org
included) until the next dinstall run at the earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close Bugs which have been reported against this package
automatically.  But please check all old bugs, if they where closed
correctly or should have been re-assign to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 680005@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/680005

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 09 Aug 2012 07:25:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:41:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.